// Copyright (c) 2020 UWB & LESP.
// The UWB & LESP license this file to you under the MIT license.

package cz.senslog.connector.model.api;

public abstract class ProxySessionModel {

    private final boolean isActive;

    public ProxySessionModel(boolean isActive) {
        this.isActive = isActive;
    }

    public boolean isActive() {
        return isActive;
    }

    @Override
    public String toString() {
        return String.format("%s.%s", getClass().getSimpleName(), (isActive() ? "active" : "disable"));
    }
}
